
import matplotlib
matplotlib.use("pgf")
matplotlib.rcParams.update({
    "figure.figsize": [2,2],
    "pgf.texsystem": "pdflatex",
#    'font.family': 'serif',
    'text.usetex': True,
    'pgf.rcfonts': False,
})

import matplotlib.pyplot as plt
import numpy

file = numpy.loadtxt("data.dat")
x = file[:,0]
y = file[:,1]

#plt.rcParams.update({
#    "pgf.texsystem": "pdflatex",
#    "pgf.preamble": [
#         r"\usepackage[utf8x]{inputenc}",
#         r"\usepackage[czech]{babel}",
#         r"\usepackage[T1]{fontenc}",
 #        ]
#})


#fig = plt.figure(figsize=(1)
#fig.set_size_inches(w=2, h=2)
#ax = fig.add_axes([0.1, 0.1, 0.9, 0.9])

plt.plot(x,y,"+")
plt.plot([0,5],[0,5])

#plt.title("Matplotlib")
plt.xlabel(r"čas $t$")
plt.ylabel(r"veličina $\varrho(t)$")
plt.xticks([0,1,2,3,4,5])
plt.yticks([0,1,2,3,4,5])
plt.tight_layout(.5)

#plt.show()


#plt.savefig('data.png')
#plt.savefig('data.pdf')
plt.savefig('data.pgf')
plt.close()
